@ECHO OFF

:SELECT
CLS

ECHO Medieval - Total War VI
ECHO STW mod Sound Copy.
ECHO.
ECHO Warning: only use this Bat when you have a copy of STW WE/MI,
ECHO It's safe to exit this bat file if you don't.
ECHO .
ECHO This Bat will prepare the STW sound folders.
ECHO You can use The Japanese music and/or orders from STW We/MI
ECHO or use the default MTW sounds.
ECHO =====================================================================
ECHO CHOOSE STATS 
ECHO A. Use STW Music, this requires the STW WE/MI Japanese Music.	
ECHO X. Quit

CHOICE /C:AX Make your selections 
CLS
IF ERRORLEVEL = 2 GOTO QUIT
IF ERRORLEVEL = 1  GOTO A

GOTO SELECT

:A
ECHO. This may take a few minutes, have patience please.
MD STW
MD STW\Frontend
MD STW\Orders
MD STW\Troops

COPY Sounds\Music\"Battle 1.wav" STW
COPY Sounds\Music\"Battle 2.wav" STW
COPY Sounds\Music\"Battle 3.wav" STW
COPY Sounds\Music\"Lose 2.wav" STW
COPY Sounds\Music\"Mobilize 1.wav" STW 
COPY Sounds\Music\"Mobilize 2.wav" STW 
COPY Sounds\Music\"Mobilize 3.wav" STW 
COPY Sounds\Music\"Campmap Summer.wav" STW
COPY Sounds\Music\"Campmap Spring.wav" STW
COPY Sounds\Music\"Campmap Winter.wav" STW
COPY Sounds\Music\"Campmap Autumn.wav" STW
COPY Sounds\Music\"Tension 1.wav" STW
COPY Sounds\Music\"Tension 3.wav" STW
COPY Sounds\Music\"Tension 4.wav" STW 
COPY Sounds\Music\"Win 3.wav" STW
COPY Sounds\Music\"Frontend.wav" STW

COPY Sounds\Battle\Orders\"Advance_1.wav" STW\Orders 
COPY Sounds\Battle\Orders\"Agreed_2.wav" STW\Orders  
COPY Sounds\Battle\Orders\"Attack_4.wav" STW\Orders  
COPY Sounds\Battle\Orders\"CHANGE_FORMATION_4.wav" STW\Orders  
COPY Sounds\Battle\Orders\"CHANGE_FORMATION_1.WAV" STW\Orders  
COPY Sounds\Battle\Orders\"CHARGE_4.wav" STW\Orders  
COPY Sounds\Battle\Orders\"CLOSE_RANKS_5.wav" STW\Orders 
COPY Sounds\Battle\Orders\"OPEN_FIRE_4.wav" STW\Orders 
COPY Sounds\Battle\Orders\"FORM_A_WEDGE_3.wav" STW\Orders 
COPY Sounds\Battle\Orders\"Attack_2.wav" STW\Orders  
COPY Sounds\Battle\Orders\"Halt_1.wav" STW\Orders  
COPY Sounds\Battle\Orders\"HOLD_YOUR_GROUND_3.wav" STW\Orders  
COPY Sounds\Battle\Orders\"GET_READY_1.WAV" STW\Orders  
COPY Sounds\Battle\Orders\"OPEN_FIRE_2.WAV" STW\Orders  
COPY Sounds\Battle\Orders\"RALLY_5.wav" STW\Orders  
COPY Sounds\Battle\Orders\"RETREAT_4.wav" STW\Orders  
COPY Sounds\Battle\Orders\"RUN_4.wav" STW\Orders  
COPY Sounds\Battle\Orders\"SPREAD_OUT_4.wav" STW\Orders  
COPY Sounds\Battle\Orders\"TAKE_AIM_4.wav" STW\Orders  

COPY Sounds\Frontend\"deselect.wav" STW\Frontend
COPY Sounds\Frontend\"change_menu.wav" STW\Frontend
COPY Sounds\Frontend\"error.wav" STW\Frontend
COPY Sounds\Frontend\"generic_select.wav" STW\Frontend 
COPY Sounds\Frontend\"keystrike.wav" STW\Frontend 
COPY Sounds\Frontend\"message.wav" STW\Frontend
COPY Sounds\Frontend\"net_connect.wav" STW\Frontend 
COPY Sounds\Frontend\"net_fail.wav" STW\Frontend 
COPY Sounds\Frontend\"next.wav" STW\Frontend
COPY Sounds\Frontend\"previous.wav" STW\Frontend
COPY Sounds\Frontend\"quit_game.wav" STW\Frontend
COPY Sounds\Frontend\"saved.wav" STW\Frontend
COPY Sounds\Frontend\"generic_select.wav" STW\Frontend
COPY Sounds\Frontend\"slider.wav" STW\Frontend
COPY Sounds\Frontend\"start_game.wav" STW\Frontend
COPY Sounds\Frontend\"toggle_box.wav" STW\Frontend

COPY Sounds\Battle\Troops\"horn_alarm_3.wav" STW\Troops 
COPY Sounds\Battle\Troops\"horn_attack_1.wav" STW\Troops

ECHO ------------------------
ECHO The Japanese orders and Music is copied (if you've set this up correctly). 
ECHO Please move the new STW folder to the MOD setup dir.
GOTO END

:END

PAUSE
GOTO SELECT

:QUIT

