@ECHO OFF

:SELECT
CLS

ECHO Medieval - Total War VI
ECHO STW Sounds.
ECHO This setup installs some sound files for the STW mod.
ECHO This setup does not alter excisting files, and you can still play your
ECHO currently installed MTW MOD/STAT.
ECHO =====================================================================
ECHO CHOOSE STATS 
ECHO A. Setup the rollback folder.	
ECHO X. Quit

CHOICE /C:AX Make your selections 
CLS
IF ERRORLEVEL = 2 GOTO QUIT
IF ERRORLEVEL = 1  GOTO A

GOTO SELECT

:A

MD Sounds
MD Sounds\STW
MD Sounds\STW\Orders
MD Sounds\STW\Troops
MD Sounds\STW\Frontend

MD Sounds\MTW
MD Sounds\MTW\Orders
MD Sounds\MTW\Troops
MD Sounds\MTW\Frontend

COPY ..\Sounds\Battle\Orders\Latin\*.* Sounds\MTW\Orders
COPY ..\Sounds\Frontend\*.* Sounds\MTW\Frontend

ECHO. This may take a few minutes, have patience please.
COPY ..\Sounds\Music\"Euro Battle 1.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Battle 2.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Battle 3.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Lose 1.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Mobilize 1.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Mobilize 2.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Mobilize 3.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Strat Summer 1.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Strat Summer 2.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Strat Winter 1.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Strat Winter 2.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Tension 1.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Tension 2.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Tension 3.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Euro Win 1.wav" Sounds\Mtw
COPY ..\Sounds\Music\"Frontend.wav" Sounds\Mtw

COPY ..\Sounds\Battle\Troops\"Horn_Euro_Alpine_Advance.wav" Sounds\MTW\Troops
COPY ..\Sounds\Battle\Troops\"Horn_Euro_Alpine_Retreat.wav" Sounds\MTW\Troops


ECHO ------------------------
ECHO The Rollback setup for STW sounds is completed (if you've set this up correctly). 
GOTO END

:END

PAUSE
GOTO SELECT

:QUIT

