@ECHO OFF

:SELECT
CLS

ECHO Medieval - Total War VI
ECHO STW mod Sound Swapper.
ECHO.
ECHO Warning: only use this swapper when you have a copy of STW WE/MI,
ECHO installed the sound folder and ran SoundSetupSTW.bat.
ECHO It's safe to exit this bat file if you didn't.
ECHO .
ECHO This Swapper installs some sound files required for the STW mod.
ECHO You can use The Japanese music and/or orders from STW We/MI
ECHO or use the default MTW sounds.
ECHO =====================================================================
ECHO CHOOSE STATS 
ECHO A. Use STW Music, this requires the STW WE/MI Japanese Music.	
ECHO B. Use the MTW 1.1 Music. 
ECHO C. Use the STW orders, this requires the STW WE/MI Japanese orders.
ECHO D. Use the MTW 1.1 orders (Latin).
ECHO X. Quit

CHOICE /C:ABCDX Make your selections 
CLS
IF ERRORLEVEL = 5 GOTO QUIT
IF ERRORLEVEL = 4  GOTO D
IF ERRORLEVEL = 3  GOTO C
IF ERRORLEVEL = 2  GOTO B
IF ERRORLEVEL = 1  GOTO A

GOTO SELECT

:A
ECHO. This may take a few minutes, have patience please.
COPY Sounds\STW\"Battle 1.wav" ..\Sounds\Music\"Euro Battle 1.wav"
COPY Sounds\STW\"Battle 2.wav" ..\Sounds\Music\"Euro Battle 2.wav" 
COPY Sounds\STW\"Battle 3.wav" ..\Sounds\Music\"Euro Battle 3.wav" 
COPY Sounds\STW\"Lose 2.wav" ..\Sounds\Music\"Euro Lose 1.wav"
COPY Sounds\STW\"Mobilize 1.wav" ..\Sounds\Music\"Euro Mobilize 1.wav"
COPY Sounds\STW\"Mobilize 2.wav" ..\Sounds\Music\"Euro Mobilize 2.wav"
COPY Sounds\STW\"Mobilize 3.wav" ..\Sounds\Music\"Euro Mobilize 3.wav"
COPY Sounds\STW\"Campmap Summer.wav" ..\Sounds\Music\"Euro Strat Summer 1.wav"
COPY Sounds\STW\"Campmap Spring.wav" ..\Sounds\Music\"Euro Strat Summer 2.wav"
COPY Sounds\STW\"Campmap Winter.wav" ..\Sounds\Music\"Euro Strat Winter 1.wav"
COPY Sounds\STW\"Campmap Autumn.wav" ..\Sounds\Music\"Euro Strat Winter 2.wav" 
COPY Sounds\STW\"Tension 1.wav" ..\Sounds\Music\"Euro Tension 1.wav"
COPY Sounds\STW\"Tension 3.wav" ..\Sounds\Music\"Euro Tension 2.wav"
COPY Sounds\STW\"Tension 4.wav" ..\Sounds\Music\"Euro Tension 3.wav" 
COPY Sounds\STW\"Win 3.wav" ..\Sounds\Music\"Euro Win 1.wav"
COPY Sounds\STW\"Frontend.wav" ..\Sounds\Music\"Frontend.wav"

COPY Sounds\STW\Frontend\"deselect.wav" ..\Sounds\Frontend\"Deselect.wav"
COPY Sounds\STW\Frontend\"change_menu.wav" ..\Sounds\Frontend\"edit.wav"
COPY Sounds\STW\Frontend\"error.wav" ..\Sounds\Frontend\"Error.wav"
COPY Sounds\STW\Frontend\"generic_select.wav" ..\Sounds\Frontend\"join.wav"
COPY Sounds\STW\Frontend\"keystrike.wav" ..\Sounds\Frontend\"keystrike.wav"
COPY Sounds\STW\Frontend\"message.wav" ..\Sounds\Frontend\"Message.wav"
COPY Sounds\STW\Frontend\"net_connect.wav" ..\Sounds\Frontend\"net_connect.wav"
COPY Sounds\STW\Frontend\"net_fail.wav" ..\Sounds\Frontend\"Net_fail.wav"
COPY Sounds\STW\Frontend\"next.wav" ..\Sounds\Frontend\"Next.wav"
COPY Sounds\STW\Frontend\"previous.wav" ..\Sounds\Frontend\"Previous.wav"
COPY Sounds\STW\Frontend\"quit_game.wav" ..\Sounds\Frontend\"quit_game.wav"
COPY Sounds\STW\Frontend\"saved.wav" ..\Sounds\Frontend\"Saved.wav"
COPY Sounds\STW\Frontend\"generic_select.wav" ..\Sounds\Frontend\"Select.wav"
COPY Sounds\STW\Frontend\"slider.wav" ..\Sounds\Frontend\"Slider.wav"
COPY Sounds\STW\Frontend\"start_game.wav" ..\Sounds\Frontend\"start_game.wav"
COPY Sounds\STW\Frontend\"toggle_box.wav" ..\Sounds\Frontend\"toggle_box.wav"

ECHO ------------------------
ECHO The STW Music is installed (if you've set this up correctly). 
GOTO END


:B
ECHO. This may take a few minutes, have patience please.
COPY Sounds\Mtw\*.* ..\Sounds\Music
COPY Sounds\Mtw\Frontend\*.* ..\Sounds\Frontend

ECHO ------------------------
ECHO The default MTW 1.1 music is installed (if you've set this up correctly). 
GOTO END

:C
COPY Sounds\STW\Orders\"Advance_1.wav" ..\Sounds\Battle\Orders\Latin\Advance01.wav
COPY Sounds\STW\Orders\"Agreed_2.wav" ..\Sounds\Battle\Orders\Latin\Agreed01.wav
COPY Sounds\STW\Orders\"Attack_4.wav" ..\Sounds\Battle\Orders\Latin\Attack01.wav
COPY Sounds\STW\Orders\"CHANGE_FORMATION_4.wav" ..\Sounds\Battle\Orders\Latin\ChangeFacing01.wav
COPY Sounds\STW\Orders\"CHANGE_FORMATION_1.WAV" ..\Sounds\Battle\Orders\Latin\ChangeFormation01.wav
COPY Sounds\STW\Orders\"CHARGE_4.wav" ..\Sounds\Battle\Orders\Latin\Charge01.wav
COPY Sounds\STW\Orders\"CLOSE_RANKS_5.wav" ..\Sounds\Battle\Orders\Latin\CloseRanks01.wav
COPY Sounds\STW\Orders\"OPEN_FIRE_4.wav" ..\Sounds\Battle\Orders\Latin\Fire03.wav
COPY Sounds\STW\Orders\"FORM_A_WEDGE_3.wav" ..\Sounds\Battle\Orders\Latin\FormAWedge01.wav
COPY Sounds\STW\Orders\"Attack_2.wav" ..\Sounds\Battle\Orders\Latin\GetThem02.wav
COPY Sounds\STW\Orders\"Halt_1.wav" ..\Sounds\Battle\Orders\Latin\Halt01.wav
COPY Sounds\STW\Orders\"HOLD_YOUR_GROUND_3.wav" ..\Sounds\Battle\Orders\Latin\HoldYourGround03.wav
COPY Sounds\STW\Orders\"GET_READY_1.WAV" ..\Sounds\Battle\Orders\Latin\Load01.wav
COPY Sounds\STW\Orders\"OPEN_FIRE_2.WAV" ..\Sounds\Battle\Orders\Latin\OpenFire02.wav
COPY Sounds\STW\Orders\"RALLY_5.wav" ..\Sounds\Battle\Orders\Latin\Rally02.wav
COPY Sounds\STW\Orders\"RETREAT_4.wav" ..\Sounds\Battle\Orders\Latin\Retreat01.wav
COPY Sounds\STW\Orders\"RUN_4.wav" ..\Sounds\Battle\Orders\Latin\Run02.wav
COPY Sounds\STW\Orders\"SPREAD_OUT_4.wav" ..\Sounds\Battle\Orders\Latin\SpreadOut01.wav
COPY Sounds\STW\Orders\"TAKE_AIM_4.wav" ..\Sounds\Battle\Orders\Latin\TakeAim02.wav

COPY Sounds\STW\Troops\"horn_alarm_3.wav"  ..\Sounds\Battle\Troops\"Horn_Euro_Alpine_Retreat.wav"
COPY Sounds\STW\Troops\"horn_attack_1.wav" ..\Sounds\Battle\Troops\"Horn_Euro_Alpine_Advance.wav"

ECHO ------------------------
ECHO The Japanese orders are installed (if you've set this up correctly). 
GOTO END

:D
COPY Sounds\MTW\Orders\*.* ..\Sounds\Battle\Orders\Latin

ECHO ------------------------
ECHO The default MTW 1.1 latin orders are installed (if you've set this up correctly). 
GOTO END

:END

PAUSE
GOTO SELECT

:QUIT

